Loading...
Searching...
No Matches
juce::MidiDataConcatenator Class Reference

`#include <juce_MidiDataConcatenator.h>`

## Public Member Functions

| MidiDataConcatenator (int initialBufferSize)
void | reset ()
template<typename UserDataType, typename CallbackType>
void | pushMidiData (const void *inputData, int numBytes, double time, UserDataType *input, CallbackType &callback)

## Detailed Description

Helper class that takes chunks of incoming midi bytes, packages them into messages, and dispatches them to a midi callback.

Definition at line 33 of file juce_MidiDataConcatenator.h.

## Constructor & Destructor Documentation

## MidiDataConcatenator()

juce::MidiDataConcatenator::MidiDataConcatenator | ( | int | initialBufferSize | ) |

inline

Definition at line 36 of file juce_MidiDataConcatenator.h.

## Member Function Documentation

## pushMidiData()

template<typename UserDataType, typename CallbackType>

void juce::MidiDataConcatenator::pushMidiData | ( | const void * | inputData,
|  | int | numBytes,
|  | double | time,
|  | UserDataType * | input,
|  | CallbackType & | callback )

inline

Definition at line 49 of file juce_MidiDataConcatenator.h.

## reset()

void juce::MidiDataConcatenator::reset | ( |  | ) |

inline

Definition at line 41 of file juce_MidiDataConcatenator.h.

The documentation for this class was generated from the following file:

- juce_MidiDataConcatenator.h